Scrape pages
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Scrape pages action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request
REQUIRED SCOPES
EXECUTION_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspaceExample: "my-company"
project_namerequiredstring
The human-readable ID of the projectExample: "my-project"
pipeline_idrequiredinteger
The ID of the pipelineExample: 123
action_idrequiredinteger
The ID of the actionExample: 456
POST PARAMETERS
typerequiredstring enum
The type of the actionAllowed enum:
SCRAPEurlstring
URL to scrape (optional; defaults to scrape suite URL)html_urlread-onlystring
Web URL to view this object in Buddy.worksafter_action_idinteger
The numerical ID of the action, after which this action should be addednamerequiredstring
The name of the actiontrigger_timestring enum
Specifies when the action should be executedAllowed enum:
ON_EVERY_EXECUTION,ON_SUCCESS,ON_FAILURE,ON_BACK_TO_SUCCESS,ON_WARNING,ON_WAIT_FOR_APPROVE,ON_TERMINATEtrigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggeredrun_nextstring enum
Defines whether the action should run in parallel with the next oneAllowed enum:
WAIT_ON_SUCCESS,IN_SOFT_PARALLEL,IN_HARD_PARALLELrun_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILUREvariablesEnvironmentVariableView[]
The list of variables you can use the actiondisabledboolean
When set to true the action is disabled. By default it is set to falsetimeoutinteger
The timeout in secondsignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actionsretry_countinteger
Number of retries if the action failsretry_intervalinteger
Delay time between auto retries in secondsloopstring[]
The list of commands that will be executed in a loopcurrent_revisionstring
The git revision of the last successful run of the actionpermissionsPermissionsView
Access permissions configurationscrape_suitestring
The scrape suite identifierfollowboolean
Scrape all subviews of the page. Default: falserespect_robotsboolean
Respect robots.txt. Default: falseoutputsScrapeOutputView[]
Output types to produce (type, selector, quality, fullPage)browsersstring[]
Browsers to use (e.g., CHROMIUM, FIREFOX, WEBKIT)color_schemestring
Color scheme to use (LIGHT, DARK, LIGHT_AND_DARK)delaysstring[]
Add delay in milliseconds before taking screenshot (format: [scope::]milliseconds, e.g., "1000" or "example.com::2000")wait_forstring[]
Wait for elements to appear before scraping (format: [scope::]type=value, e.g., "CSS=#content" or "example.com::XPATH=//div[@class='loaded']")local_storagestring[]
Set localStorage values used when visiting URLs (format: [scope::]key=value)devicesScrapeDeviceView[]
Device definitions (name, viewport, screen, devicePixelRatio, isMobile)output_directorystring
Output directory for scrape results. Default: "."cookiesstring[]
Set cookies used when visiting the URLs (format: [scope::]cookie_value, e.g., "session=abc123" or "example.com::auth=token123; Path=/; Secure; HttpOnly")headersstring[]
Set HTTP headers used when visiting the URLs (format: [scope::]name=value, e.g., "Authorization=Bearer token" or "example.com::Accept=application/json")Response
RESPONSE BODY
typestring enum
The type of the actionAllowed enum:
SCRAPEurlstring
URL to scrape (optional; defaults to scrape suite URL)html_urlread-onlystring
Web URL to view this object in Buddy.worksidinteger
The ID of the actionnamestring
The name of the actioncurrent_revisionstring
The git revision of the last successful run of the actiontrigger_timestring enum
Specifies when the action should be executedAllowed enum:
ON_EVERY_EXECUTION,ON_SUCCESS,ON_FAILURE,ON_BACK_TO_SUCCESS,ON_WARNING,ON_WAIT_FOR_APPROVE,ON_TERMINATEtrigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggeredrun_nextstring enum
Defines whether the action should run in parallel with the next oneAllowed enum:
WAIT_ON_SUCCESS,IN_SOFT_PARALLEL,IN_HARD_PARALLELrun_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILUREvariablesEnvironmentVariableView[]
The list of variables you can use the actiondisabledboolean
When set to true the action is disabled. By default it is set to falsetimeoutinteger
The timeout in secondsignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actionsretry_countinteger
Number of retries if the action failsretry_intervalinteger
Delay time between auto retries in secondslast_execution_statusstring enum
The status of the last run of the actionAllowed enum:
INPROGRESS,ENQUEUED,TERMINATED,SUCCESSFUL,FAILED,INITIAL,NOT_EXECUTED,SKIPPED,TERMINATING,WAITING_FOR_APPLY,WAITING_FOR_VARIABLES,WAITING_FOR_SETTABLE_VARIABLES,WAITING_FOR_VT_SESSIONpipelineShortPipelineView
Short representation of a pipelinepermissionsPermissionsView
Access permissions configurationloopstring[]
The list of commands that will be executed in a loopscrape_suitestring
The scrape suite identifierfollowboolean
Scrape all subviews of the page. Default: falserespect_robotsboolean
Respect robots.txt. Default: falseoutputsScrapeOutputView[]
Output types to produce (type, selector, quality, fullPage)browsersstring[]
Browsers to use (e.g., CHROMIUM, FIREFOX, WEBKIT)color_schemestring
Color scheme to use (LIGHT, DARK, LIGHT_AND_DARK)delaysstring[]
Add delay in milliseconds before taking screenshot (format: [scope::]milliseconds, e.g., "1000" or "example.com::2000")wait_forstring[]
Wait for elements to appear before scraping (format: [scope::]type=value, e.g., "CSS=#content" or "example.com::XPATH=//div[@class='loaded']")local_storagestring[]
Set localStorage values used when visiting URLs (format: [scope::]key=value)devicesScrapeDeviceView[]
Device definitions (name, viewport, screen, devicePixelRatio, isMobile)output_directorystring
Output directory for scrape results. Default: "."cookiesstring[]
Set cookies used when visiting the URLs (format: [scope::]cookie_value, e.g., "session=abc123" or "example.com::auth=token123; Path=/; Secure; HttpOnly")headersstring[]
Set HTTP headers used when visiting the URLs (format: [scope::]name=value, e.g., "Authorization=Bearer token" or "example.com::Accept=application/json")Last modified on Feb 18, 2026
Request example
CURLcurl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
STATUS200 OK